# Example of interface request parameters

### Create a Windows profile

```json
// /browser/update
{
    "name": "windows browser",
    "browserFingerPrint": {
        "coreVersion": "122",
        "ostype": "PC",
        "os": "Win32",
        "osVersion": "11,10"
    },
    "proxyMethod": 2,
    "proxyType": "noproxy"
}
```

### Create a Mac profile

```json
// /browser/update
{
    "name": "mac browser",
    "browserFingerPrint": {
        "coreVersion": "118",
        "ostype": "PC",
        "os": "MacIntel",
        "hardwareConcurrency": "10"
    },
    "proxyMethod": 2,
    "proxyType": "noproxy"
}
```

### Create a iPhone profile

```json
// /browser/update
{
    "name": "iphone browser",
    "browserFingerPrint": {
        "coreVersion": "118",
        "ostype": "IOS",
        "os": "iPhone",
        "openWidth": 500,
        "openHeight": 900,
        "resolutionType": "1",
        "resolution": "360x780",
        "devicePixelRatio": 3
    },
    "proxyMethod": 2,
    "proxyType": "noproxy"
}
```

### Create a Android profile

```json
// /browser/update
{
    "name": "android browser",
    "browserFingerPrint": {
        "coreVersion": "118",
        "ostype": "Android",
        "os": "Linux armv81",
        "openWidth": 500,
        "openHeight": 900,
        "resolutionType": "1",
        "resolution": "360x780",
        "devicePixelRatio": 2
    },
    "proxyMethod": 2,
    "proxyType": "noproxy"
}
```

### Update profile, without fingerprint

```json
// /browser/update/partial
// To modify profile's information as needed, you would need to pass the corresponding fields. For instance, if you want to change the profile's name, you would pass the 'name' field. If you need to modify the remarks, you would pass the 'remark' field. Fields that do not need to be changed should not be passed. The specific fields are the same as those in the '/browser/update' interface."
{
    "ids": [
        "d2fc7636d01b4943a3c3bd2187ca2272"
    ],
    "name": "I am new name",
    "browserFingerPrint": {} // 不修改指纹，则无需传入指纹配置
}
```

### Update profile's fingerprint info

```json
// /browser/update/partial
// To modify profile's fingerprint information as needed, ensure that when changing the device type, for example, from PC to Android, all relevant fields are updated accordingly. Please refer to the following example.
{
    "ids": [
        "d1982fc6322545d4a372275238b65c2f"
    ],
    "browserFingerPrint": {
        "coreVersion": "118",
        "ostype": "Android",
        "os": "Linux armv81",
        "version": "",
        "osVersion": "",
        "platformVersion": "9.0.0",
        "batchRandom": true,
        "batchUpdateFingerPrint": true
    }
}
```

### Create a profile, and set a socks5 proxy

```json
{
    "name": "windows browser",
    "browserFingerPrint": {
        "coreVersion": "122",
        "ostype": "PC",
        "os": "Win32",
        "osVersion": "11,10"
    },
    "proxyMethod": 2,
    "proxyType": "socks5",
    "host": "1.2.3.4",
    "port": 1020,
    "proxyUserName": "abc",
    "proxyPassword": "def"
}
```

### Create a profile, and set a extract ip proxy infomation

```json
{
    "name": "windows browser",
    "browserFingerPrint": {
        "coreVersion": "118",
        "ostype": "PC",
        "os": "Win32",
        "osVersion": "11,10"
    },
    "ipCheckService": "ip123in",
    "proxyMethod": 3,
    "proxyType": "socks5",
    "dynamicIpUrl": "http://example.tiquip.com/extractip",
    "dynamicIpChannel": "common",
    "isDynamicIpChangeIp": true
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.bitbrowser.net/api-docs/example-of-interface-request-parameters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
